package person;

public class Person {
	public static final int MINIMUM_AGE = 1;
	public static final int MAXIMUM_AGE = 200;
	private String name;
	private int age;

	public Person(String name, int age) {
		if (age < MINIMUM_AGE) {
			throw new AgeBelowMinimumException();
		}
		if (age > MAXIMUM_AGE) {
			throw new AgeAboveMaximumException();
		}
		this.age = age;
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public int getAge() {
		return age;
	}
}
