/***
 * Excerpted from "Beyond Legacy Code",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dblegacy for more book information.
***/
package person;

import static org.junit.Assert.*;
import org.junit.Test;

public class PersonTest {
	String personName = "Bob";
	int personAge = 21;

	@Test
	public void testCreatePersonWithNameAndAge() {
		Person p = new Person(personName, personAge);
		assertEquals(personName, p.getName());
		assertEquals(personAge, p.getAge());
	}

	@Test
	public void testConstants() {
		assertEquals(Person.MINIMUM_AGE, 1);
		assertEquals(Person.MAXIMUM_AGE, 200);
	}

	@Test(expected = AgeBelowMinimumException.class)
	public void testConstructorThrowsExceptionWhenAgeBelowMinimum() {
		Person p = new Person(personName, Person.MINIMUM_AGE - 1);
	}

	@Test(expected = AgeAboveMaximumException.class)
	public void testConstructorThrowsExceptionWhenAgeAboveMaximum() {
		Person p = new Person(personName, Person.MAXIMUM_AGE + 1);
	}
}
